Clockwise Arcs

Discussion in 'AutoCAD' started by JimCronburg, Jul 7, 2004.

  1. JimCronburg

    JimCronburg Guest

    Apparently ACAD2005 still has not solved the problem of drawing a clockwise arc. Anybody know how to do it?

    Thanks,

    Jim Cronburg
     
    JimCronburg, Jul 7, 2004
    #1
  2. JimCronburg

    OLD-CADaver Guest

    Command: ARC
    Specify start point of arc or
    : c
    Specify center point of arc: <pick a center>
    Specify start point of arc: <pick the start>
    Specify end point of arc or [Angle/chord Length]: a
    Specify included angle: <use negative number for angle>​
     
    OLD-CADaver, Jul 7, 2004
    #2
  3. JimCronburg

    JimCronburg Guest

    CAD-aver:

    Thanks for your quick response. Unfortunately your method means I'd have to calculate the angle. I don't have to do that with a clockwise arc.

    Jim Cronburg
     
    JimCronburg, Jul 7, 2004
    #3
  4. JimCronburg

    R.K. McSwain Guest

    Command: vpoint
    Specify a view point or [Rotate] <display compass and tripod>: 0,0,-1
    Command: arc
    Specify start point of arc or
    : C
    Specify center point of arc: <PICK POINT>
    Specify start point of arc: <PICK POINT>
    Specify end point of arc or [Angle/chord Length]: <ARC DRAWS CLOCKWISE>​
     
    R.K. McSwain, Jul 7, 2004
    #4
  5. JimCronburg

    Randall Culp Guest

    What kind of arc are you drawing that "requires' a clockwise direction??
    Use the end point as the start point instead?? I don't see what you're
    trying for.


    to calculate the angle. I don't have to do that with a clockwise arc.
     
    Randall Culp, Jul 8, 2004
    #5
  6. JimCronburg

    teiarch Guest

    Default AutoCad rotation is counterclock-wise -applicable to arcs and polylines...and other stuff. You can change this, if you like.

    Isn't the direction of rotation determined by whare you start and where you end AND the parameters selected?

    Have you considered using a 3 point circle and trimming?
     
    teiarch, Jul 8, 2004
    #6
  7. JimCronburg

    Paul Turvill Guest

    Regardless of how you draw an arc, AutoCAD invariably translates it to CCW.
    The only way to permanently reverse an arc is to convert it to a polyline.
    See REV.LSP at
    http://www.turvill.com/t2/free_stuff.
    ___

    you end AND the parameters selected?
     
    Paul Turvill, Jul 8, 2004
    #7
  8. JimCronburg

    teiarch Guest

    Paul T: Is this still true if you change the default rotation direction?

    Just wondering....

    teiarch
     
    teiarch, Jul 11, 2004
    #8
  9. You can reverse the direction of the last arc created with this little lisp routine - I can't remember where I got it from, so can't give credit to anyone for it:

    ;REVERSE LAST ARC
    (princ "\nRLA Reverse curve of Last Arc drawn")
    (defun C:RLA (/ a1 a2 e)
    (setq e (entget (entlast)))
    (cond
    ((= "ARC"(item 0 e))
    (setq a1 (item 50 e) a2 (item 51 e))
    (setq e (subst (cons 50 a2)(assoc 50 e) e)
    e (subst (cons 51 a1)(assoc 51 e) e)
    )
    (entmod e)
    )
    ( T
    (princ "Last entity is not an arc!!")
    )
    )
    (prin1)
    )
    (defun item (a b)(cdr (assoc a b)))
     
    Michael Wilkinson, Jul 11, 2004
    #9
  10. JimCronburg

    Paul Turvill Guest

    Have you actually run that routine? On my system it actually creates a
    different arc: still CCW, just the "other" part of the circle.
    ___

    lisp routine - I can't remember where I got it from, so can't give credit to
    anyone for it:
     
    Paul Turvill, Jul 12, 2004
    #10
  11. JimCronburg

    Paul Turvill Guest

    Yes. Try it.
    ___
     
    Paul Turvill, Jul 12, 2004
    #11
  12. JimCronburg

    JimCronburg Guest

    R.K. and teiarch:

    R.K.:

    Thanks for your good response! I wish I had that years ago. It's an added step but does work. It's odd that an arc in the Polyline command does have a simple method of changing to clockwise but the regular arc does not.

    teiarch:

    I know that the default rotation is counterclockwise. You say it can be changed, but how? It should be as simple as what R.K. shows. Also you asked about why I can't draw it from a start point that will allow drawing counterclockwise or using a 3 point circle and trimming. The latter is time consuming. Regarding the former, I frequently need to draw an arc running counterclockwise OR clockwise where I do not have an end point set or angle calculated. I can easily do it counterclockwise, but can't clockwise. With R.K's method, at least it's relatively simple. Thanks for your interest in helping.

    Jim Cronburg
     
    JimCronburg, Jul 27, 2004
    #12
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.